%global minorversion 1.3
%global xfceversion 4.16

Name:           xfce4-systemload-plugin
Version:        1.3.1
Release:        1
Summary:        Systemload monitor for the Xfce panel
License:        BSD
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gcc-c++
BuildRequires:  libxfce4ui-devel >= %{xfceversion}
BuildRequires:  xfce4-panel-devel >= %{xfceversion}
BuildRequires:  upower-devel
BuildRequires:  gettext
BuildRequires:  intltool

Requires:       xfce4-panel >= %{xfceversion}

%description
This plugins displays the current CPU load, the memory in use, the swap space
and the system uptime in the Xfce4 panel.

%prep
%setup -q

%build
%configure --disable-static
%make_build


%install
%make_install

# remove la file
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# make sure debuginfo is generated properly
chmod -c +x %{buildroot}%{_libdir}/xfce4/panel/plugins/*.so

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS
%{_libdir}/xfce4/panel/plugins/*.so
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_datadir}/icons/hicolor/*/apps/org.xfce.panel.systemload.*

%changelog
* Fri Jun 18 2021 zhanglin <lin.zhang@turbolinux.com.cn> - 1.3.1-1
- Update to 1.3.1

* Fri Jul 17 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - 1.2.3-1
- Init package
